Bug 82197 - Make layout tests not access apache on localhost:80
Summary: Make layout tests not access apache on localhost:80
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Csaba Osztrogonác
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-26 06:32 PDT by Csaba Osztrogonác
Modified: 2012-04-12 18:11 PDT (History)
4 users (show)

See Also:


Attachments
Patch (6.09 KB, patch)
2012-04-04 13:18 PDT, Pablo Flouret
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ec2-cr-linux-01 (6.38 MB, application/zip)
2012-04-04 14:11 PDT, WebKit Review Bot
no flags Details
Fixed chromium issues (7.50 KB, patch)
2012-04-04 16:39 PDT, Pablo Flouret
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Csaba Osztrogonác 2012-03-26 06:32:33 PDT
My apache log is full with the following messages:
127.0.0.1 - - [25/Mar/2012:06:28:23 +0200] "GET /my_icon.png HTTP/1.1" 404 504 "-" "Mozilla/5.0 (X11; Linux i686) AppleWebKit/536.4 (KHTML, like Gecko) Qt/4.8.0 Safari/536.4"
127.0.0.1 - - [25/Mar/2012:06:47:55 +0200] "GET /hahaha_good_luck_finding_me.jpg HTTP/1.1" 404 518 "-" "Mozilla/5.0 (X11; Linux i686) AppleWebKit/536.4 (KHTML, like Gecko) Qt/4.8.0 Safari/536.4"
127.0.0.1 - - [25/Mar/2012:06:48:45 +0200] "GET / HTTP/1.1" 200 485 "-" "Mozilla/5.0 (X11; Linux i686) AppleWebKit/536.4 (KHTML, like Gecko) Qt/4.8.0 Safari/536.4"
127.0.0.1 - - [25/Mar/2012:06:49:50 +0200] "GET /someurl HTTP/1.1" 404 499 "" "Mozilla/5.0 (X11; Linux i686) AppleWebKit/536.4 (KHTML, like Gecko) Qt/4.8.0 Safari/536.4"

Layout tests shouldn't use apache listening on localhost:80
Comment 1 Csaba Osztrogonác 2012-03-26 06:45:15 PDT
http://localhost/someurl
=========================
 - fast/js/custom-constructors.html uses 
   (fast/js/script-tests/custom-constructors.js)

http://localhost/my_icon.png
=============================
 - fast/notifications/notifications-without-permission.html
 - fast/notifications/notifications-double-show.html
 - fast/notifications/notifications-with-premission.html

http://127.0.0.1/hahaha_good_luck_finding_me.jpg
=================================================
 - fast/dom/onerror-img.html
Comment 2 Csaba Osztrogonác 2012-03-26 07:20:15 PDT
http://localhost/
==================
 - fast/eventsource/eventsource-url-attribute.html
Comment 3 Pablo Flouret 2012-04-04 13:18:41 PDT
Created attachment 135659 [details]
Patch
Comment 4 WebKit Review Bot 2012-04-04 14:11:18 PDT
Comment on attachment 135659 [details]
Patch

Attachment 135659 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/12331044

New failing tests:
fast/dom/onerror-img.html
fast/notifications/notifications-double-show.html
fast/notifications/notifications-with-permission.html
Comment 5 WebKit Review Bot 2012-04-04 14:11:23 PDT
Created attachment 135678 [details]
Archive of layout-test-results from ec2-cr-linux-01

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: ec2-cr-linux-01  Port: <class 'webkitpy.common.config.ports.ChromiumXVFBPort'>  Platform: Linux-2.6.35-28-virtual-x86_64-with-Ubuntu-10.10-maverick
Comment 6 Pablo Flouret 2012-04-04 16:39:40 PDT
Created attachment 135720 [details]
Fixed chromium issues
Comment 7 Ryosuke Niwa 2012-04-12 17:33:08 PDT
Comment on attachment 135720 [details]
Fixed chromium issues

Okay, it looks sane to me.
Comment 8 WebKit Review Bot 2012-04-12 18:11:31 PDT
Comment on attachment 135720 [details]
Fixed chromium issues

Clearing flags on attachment: 135720

Committed r114064: <http://trac.webkit.org/changeset/114064>
Comment 9 WebKit Review Bot 2012-04-12 18:11:44 PDT
All reviewed patches have been landed.  Closing bug.